> ## Documentation Index
> Fetch the complete documentation index at: https://developer.breakcold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an attributes



## OpenAPI

````yaml /v3/api-reference/openapi.json post /attribute
openapi: 3.0.3
info:
  title: Breakcold OpenAPI
  version: 3.1.0
servers:
  - url: https://api.breakcold.com/rest
security: []
externalDocs:
  url: https://developer.breakcold.com
paths:
  /attribute:
    post:
      tags:
        - Attributes
      summary: Create an attributes
      operationId: attribute-create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id_object:
                  type: string
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                slug:
                  type: string
                  minLength: 1
                  maxLength: 255
                description:
                  type: string
                  nullable: true
                  maxLength: 255
                currency:
                  type: string
                type:
                  type: string
                  enum:
                    - TEXT
                    - TEXTAREA
                    - NUMBER
                    - EMAIL
                    - CHECKBOX
                    - DATE
                    - TIMESTAMP
                    - SELECT
                    - CURRENCY
                    - LOCATION
                    - PHONENUMBER
                    - RELATION
                isMultiSelect:
                  type: boolean
                select_options:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                        minLength: 1
                        maxLength: 255
                      color:
                        type: string
                        pattern: ^#([0-9A-F]{3}){1,2}$
                    required:
                      - name
              required:
                - id_object
                - name
                - slug
                - type
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - TEXT
                      - TEXTAREA
                      - NUMBER
                      - EMAIL
                      - CHECKBOX
                      - DATE
                      - TIMESTAMP
                      - SELECT
                      - CURRENCY
                      - LOCATION
                      - PHONENUMBER
                      - RELATION
                  id:
                    type: string
                  slug:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                    nullable: true
                  isMultiSelect:
                    type: boolean
                    nullable: true
                  isSystem:
                    type: boolean
                    nullable: true
                  created_at:
                    type: string
                  updated_at:
                    type: string
                  id_space:
                    type: string
                    nullable: true
                  attribute_definitions_select_options_order:
                    type: array
                    items:
                      type: string
                  object_definitionsId:
                    type: string
                    nullable: true
                required:
                  - type
                  - id
                  - slug
                  - name
                  - description
                  - isMultiSelect
                  - isSystem
                  - created_at
                  - updated_at
                  - id_space
                  - attribute_definitions_select_options_order
                  - object_definitionsId
                additionalProperties: true
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY

````